function [V, F, h_p, h_r] = gingerbread_XD()

  V = [
  -0.00000  -0.41160
   0.00000   0.10389
   0.00000   0.36578
   0.00000   0.53749
  -0.04072  -0.23213
  -0.07578  -0.20008
  -0.03632  -0.17933
  -0.17135  -0.08527
  -0.18201  -0.01096
  -0.13212  -0.03164
  -0.17383  -0.24691
  -0.13504  -0.28098
  -0.17832  -0.30346
  -0.05154  -0.34980
  -0.00000  -0.36972
  -0.05247  -0.40684
  -0.04598  -0.28949
  -0.09736  -0.31840
  -0.08625  -0.25653
  -0.14263   0.04111
  -0.09163   0.01732
  -0.12117  -0.10086
  -0.10350  -0.15881
  -0.16115  -0.16690
  -0.22188  -0.21906
  -0.21375  -0.13930
  -0.04816  -0.45735
  -0.10167  -0.45712
  -0.13014   0.58403
  -0.11717   0.50491
  -0.14535   0.54433
  -0.26163  -0.19375
  -0.24860  -0.10877
  -0.21790  -0.06213
  -0.12259  -0.21833
  -0.16208  -0.57923
  -0.08727  -0.51585
  -0.13327  -0.61265
  -0.40892   0.25708
  -0.41689   0.20171
  -0.47778   0.25528
  -0.06612   0.96124
   0.00000   0.97627
  -0.75647   0.16851
  -0.81507   0.17773
  -0.76783   0.21224
  -0.15480   0.11692
  -0.19579   0.06245
  -0.21257   0.13548
  -0.04385  -0.00918
  -0.00000  -0.03917
  -0.03980  -0.07314
  -0.04778   0.06245
  -0.09946   0.09235
  -0.08392  -0.05143
  -0.07496  -0.11137
  -0.22401  -0.29285
  -0.05243   0.32121
   0.00000   0.27539
  -0.05502   0.22867
  -0.21939   0.71553
  -0.14982   0.66537
  -0.18849   0.62686
  -0.04380   0.49703
  -0.05659   0.81436
  -0.04936   0.65942
  -0.10336   0.70089
  -0.05326   0.73770
  -0.11777   0.27253
  -0.06533  -0.15560
  -0.03607  -0.12866
  -0.06023   0.88949
  -0.21094  -0.81108
  -0.23090  -0.73799
  -0.17023  -0.72222
  -0.27550  -0.81787
  -0.29138  -0.74645
  -0.29960  -0.67452
  -0.30124  -0.58884
  -0.24893  -0.60880
  -0.15024  -0.51330
  -0.20007  -0.56086
  -0.41088  -0.68458
  -0.36412  -0.60290
  -0.35745  -0.67741
  -0.08515   0.45920
  -0.08597   0.54103
  -0.12217   0.42747
  -0.22928   0.78310
  -0.21753   0.84500
  -0.16880   0.81660
  -0.09403   0.62167
  -0.25944  -0.03812
  -0.28789   0.02370
  -0.23225   0.00958
  -0.11585   0.85473
  -0.17642   0.89559
  -0.05174   0.14147
  -0.10816   0.17458
  -0.21308  -0.47182
  -0.15848  -0.45811
  -0.19190  -0.50868
  -0.25049   0.08244
  -0.19307   0.26841
  -0.26565   0.26414
  -0.22020   0.32803
  -0.20679  -0.35421
  -0.23958  -0.42128
  -0.26637  -0.35880
  -0.17017   0.19535
  -0.09561   0.37307
  -0.34370  -0.82273
  -0.35317  -0.75221
  -0.34560   0.09366
  -0.35880   0.15252
  -0.30494   0.11176
  -0.23760  -0.53934
  -0.27040  -0.49707
  -0.50761   0.16729
  -0.56481   0.21132
  -0.48776   0.20402
  -0.30031  -0.43930
  -0.33062  -0.37050
  -0.26951   0.15158
  -0.29706   0.20913
  -0.23467   0.20403
  -0.29689  -0.27473
  -0.14996   0.34626
  -0.15092   0.40797
  -0.35632   0.20792
  -0.31733   0.16659
  -0.84593   0.25176
  -0.78185   0.25287
  -0.83000   0.21575
  -0.32443  -0.88902
  -0.40657  -0.90008
  -0.20968  -0.61583
  -0.38332  -0.94478
  -0.28584  -0.94873
  -0.33890   0.26045
  -0.39550   0.30965
  -0.30998   0.31473
  -0.38297  -0.53698
  -0.33056  -0.52189
  -0.36434  -0.46628
  -0.19193  -0.65689
  -0.70406   0.20933
  -0.63691   0.21102
  -0.67538   0.17415
  -0.41115  -0.83075
  -0.25165  -0.89995
  -0.54770   0.25506
  -0.60393   0.30271
  -0.61464   0.25074
  -0.59429   0.17980
  -0.53727   0.30631
  -0.71953   0.24926
  -0.66619   0.28356
  -0.41573  -0.76142
  -0.66827   0.24078
  -0.41175   0.13343
  -0.24540  -0.67341
  -0.89563   0.21292
  -0.87368   0.18696
  -0.33807  -0.97628
  -0.25161   0.36661
  -0.86937   0.28987
  -0.79879   0.29145
  -0.59598   0.35947
  -0.53015   0.35784
  -0.04616   0.41164
  -0.13424   0.47336
  -0.82080   0.31510
  -0.15191  -0.34246
  -0.18055  -0.40652
  -0.11342  -0.39130
  -0.72899   0.29676
  -0.16348   0.74324
  -0.74580   0.34233
  -0.66181   0.36110
  -0.11022   0.77792
  -0.46812   0.30747
  -0.12283   0.93441
  -0.40159  -0.60769
  -0.45908   0.35866
  -0.04553   0.57925
  -0.38801   0.35947
  -0.89996   0.24771
   0.25165  -0.89995
   0.17023  -0.72222
   0.29240  -0.74803
   0.20834  -0.61576
   0.30187  -0.58873
   0.18993  -0.50397
   0.08727  -0.51585
   0.41573  -0.76141
   0.40159  -0.60769
   0.40657  -0.90008
   0.33807  -0.97628
   0.24073  -0.41799
   0.36434  -0.46628
   0.29689  -0.27473
   0.17993  -0.29270
   0.11143  -0.38153
  -0.00000  -0.31936
   0.08629  -0.23618
  -0.00000  -0.20775
   0.06622  -0.12704
  -0.00000  -0.09968
   0.08465  -0.02280
   0.00000   0.02867
   0.09830   0.12018
   0.00000   0.18643
   0.11496   0.29159
   0.08317   0.46981
   0.09195   0.62725
   0.00000   0.69800
   0.10793   0.77891
   0.00000   0.85094
   0.12283   0.93441
   0.21753   0.84500
   0.21939   0.71553
   0.14535   0.54433
   0.15092   0.40797
   0.16430  -0.15308
   0.25292  -0.11743
   0.18320  -0.00067
   0.21114   0.14539
   0.28789   0.02370
   0.31716   0.16623
   0.41175   0.13343
   0.26532   0.27133
   0.38801   0.35947
   0.89996   0.24771
   0.87368   0.18696
   0.78007   0.25386
   0.75647   0.16851
   0.66771   0.24376
   0.59429   0.17980
   0.54590   0.25554
   0.40972   0.25731
   0.53015   0.35784
   0.66181   0.36110
   0.82080   0.31510
   0.00000   0.61810
   0.00000   0.77447
   0.00000   0.91360
  -0.00000  -0.15372
   0.00000   0.45221
  -0.00000  -0.26356
  ];


  F = [
  5 7 6
  8 10 9
  11 13 12
  14 16 15
  17 19 18
  14 17 18
  10 21 20
  5 17 250
  22 24 23
  11 24 25
  8 26 24
  27 16 28
  29 31 30
  32 26 33
  34 33 26
  35 11 12
  36 38 37
  18 19 12
  39 41 40
  42 247 43
  44 46 45
  47 49 48
  50 52 51
  53 54 21
  55 21 10
  55 22 56
  13 11 57
  58 60 59
  61 63 62
  64 249 4
  219 65 246
  66 68 67
  69 60 58
  70 7 71
  72 219 247
  73 75 74
  76 74 77
  78 80 79
  246 68 217
  81 82 36
  66 245 217
  83 85 84
  64 87 86
  30 88 86
  89 91 90
  62 29 92
  81 37 28
  93 95 94
  96 97 91
  52 209 51
  67 62 92
  50 53 21
  98 99 54
  100 102 101
  95 103 94
  104 106 105
  107 109 108
  60 69 99
  47 110 49
  58 111 69
  112 77 113
  114 116 115
  117 80 82
  117 100 118
  119 121 120
  118 108 122
  122 108 109
  123 122 109
  124 126 125
  57 127 109
  128 129 106
  104 110 69
  115 131 130
  132 134 133
  76 112 135
  112 136 135
  80 137 82
  138 139 135
  40 41 121
  140 39 130
  140 142 141
  40 130 39
  22 55 10
  143 84 144
  71 7 248
  8 34 26
  143 144 145
  16 1 15
  7 207 248
  36 146 38
  71 248 209
  147 149 148
  136 112 150
  139 151 135
  41 152 121
  153 154 152
  76 135 151
  119 120 155
  153 152 156
  138 135 136
  157 46 147
  153 158 154
  40 115 130
  148 120 154
  159 85 83
  157 147 160
  150 113 159
  151 73 76
  40 121 161
  46 44 147
  77 162 78
  126 105 125
  150 112 113
  79 80 117
  132 163 134
  163 164 134
  165 139 138
  166 106 129
  142 105 106
  79 118 144
  124 125 131
  45 134 164
  102 82 81
  123 109 127
  45 46 134
  167 132 168
  144 122 145
  46 133 134
  159 113 85
  120 152 154
  144 118 122
  132 133 168
  147 148 160
  117 118 79
  77 112 76
  149 155 148
  121 152 120
  169 156 170
  100 108 118
  117 82 102
  169 153 156
  148 154 160
  47 99 110
  145 122 123
  166 142 106
  104 126 110
  158 160 154
  85 78 79
  85 113 78
  205 17 14
  126 49 110
  114 115 161
  102 100 117
  58 171 111
  171 3 249
  31 172 30
  124 103 49
  104 128 106
  167 168 173
  107 57 109
  107 175 174
  13 57 107
  116 131 115
  99 69 110
  108 175 107
  175 176 174
  93 34 95
  168 133 177
  107 174 13
  124 116 103
  108 100 175
  95 48 103
  98 60 99
  9 34 8
  48 49 103
  50 21 55
  102 81 101
  116 94 103
  62 63 29
  131 116 124
  34 9 95
  20 47 48
  69 128 104
  63 31 29
  175 101 176
  1 16 27
  67 178 62
  178 61 62
  179 168 177
  175 100 101
  89 178 91
  180 158 153
  16 176 28
  172 129 88
  176 16 14
  178 181 91
  96 91 181
  170 156 182
  87 30 86
  113 77 78
  183 72 42
  171 86 111
  83 84 184
  182 185 170
  64 186 87
  85 79 84
  86 171 64
  186 4 245
  81 36 37
  182 141 185
  68 181 67
  82 137 36
  55 52 50
  65 181 68
  96 65 72
  141 187 185
  78 162 80
  162 137 80
  182 41 39
  65 219 72
  19 17 5
  182 156 41
  156 152 41
  55 56 52
  207 7 5
  76 73 74
  96 72 183
  211 53 50
  211 2 53
  246 65 68
  213 60 98
  66 67 92
  92 186 66
  4 186 64
  3 171 58
  66 186 245
  217 68 66
  186 92 87
  61 178 89
  183 97 96
  181 65 96
  64 171 249
  181 178 67
  58 59 3
  176 18 174
  86 88 111
  92 29 87
  60 213 59
  24 11 35
  53 98 54
  127 25 32
  19 6 35
  53 2 98
  2 213 98
  24 22 8
  50 51 211
  9 48 95
  33 34 93
  54 47 20
  20 48 9
  94 116 114
  54 99 47
  49 126 124
  187 142 166
  105 126 104
  10 20 9
  188 163 132
  97 90 91
  155 120 148
  44 149 147
  133 46 157
  42 72 247
  161 121 119
  174 18 12
  105 142 140
  105 140 125
  161 115 40
  111 128 69
  84 79 144
  52 56 71
  52 71 209
  133 157 177
  111 88 128
  35 12 19
  188 132 167
  88 129 128
  30 172 88
  39 141 182
  87 29 30
  101 28 176
  180 153 169
  32 25 26
  25 24 26
  179 177 180
  101 81 28
  57 25 127
  162 77 74
  27 28 37
  57 11 25
  173 168 179
  56 22 23
  125 130 131
  184 84 143
  174 12 13
  5 250 207
  177 158 180
  14 18 176
  17 205 250
  137 162 146
  7 70 6
  21 54 20
  177 157 158
  14 15 205
  8 22 10
  146 162 74
  35 6 23
  6 70 23
  157 160 158
  140 141 39
  142 187 141
  137 146 36
  56 70 71
  125 140 130
  146 74 75
  35 23 24
  5 6 19
  146 75 38
  56 23 70
  189 191 190
  191 193 192
  194 195 192
  196 197 193
  196 193 191
  198 196 191
  191 189 198
  199 198 189
  193 194 192
  194 193 200
  193 201 200
  201 202 200
  203 200 202
  200 203 204
  200 204 194
  194 204 195
  1 195 204
  1 204 15
  205 204 206
  206 207 250
  207 206 208
  208 209 248
  210 209 208
  210 211 51
  211 210 212
  2 211 212
  213 212 214
  214 3 59
  3 214 215
  215 4 249
  4 215 216
  216 217 245
  217 216 218
  218 219 246
  218 220 219
  220 43 247
  220 218 221
  222 221 218
  218 216 222
  222 216 223
  216 215 223
  223 215 224
  215 214 224
  204 203 206
  225 206 203
  203 202 225
  202 226 225
  227 225 226
  206 225 208
  210 208 225
  225 227 210
  210 227 212
  212 227 228
  226 229 227
  227 229 228
  230 228 229
  229 231 230
  212 228 214
  232 214 228
  214 232 224
  233 224 232
  228 230 232
  234 236 235
  237 235 236
  236 238 237
  237 238 239
  239 238 240
  231 239 240
  241 231 240
  231 241 230
  232 230 241
  232 241 233
  242 241 240
  241 242 233
  243 240 238
  243 242 240
  234 244 236
  244 243 236
  236 243 238
  192 195 190
  197 201 193
  192 190 191
  206 250 205
  208 248 207
  210 51 209
  2 212 213
  214 59 213
  215 249 3
  216 245 4
  218 246 217
  220 247 219
  205 15 204
];
  
  
%  h_p = [9, 97, 58, 69, 20];

  h_p = [219, 226, 33];
  
  h_r = {[234, 235, 236, 244], [189, 198, 199], [138, 139, 165, 135, 136, 151], [163, 188, 167, 132, 134, 133, 168]};

end
